sudo sed -i 's/#Port 22/Port 22/' /etc/ssh/sshd_config && \
sudo sed -i 's/#ListenAddress 0.0.0.0/ListenAddress 0.0.0.0/' /etc/ssh/sshd_config && \
sudo sed -i 's/PermitRootLogin without-password/PermitRootLogin yes/' /etc/ssh/sshd_config && \
sudo service ssh restart && \
sudo apt install net-tools bzip2 -y && \
sudo apt update && sudo apt upgrade -y && \
sudo apt install lsb-release apt-transport-https ca-certificates -y && \
sudo wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg && \
echo "deb https://packages.sury.org/php/ $(lsb_release -sc) main" | sudo tee /etc/apt/sources.list.d/php7.3.list && \
sudo apt update && sudo apt upgrade -y && \
sudo apt install apache2 apache2-utils mariadb-server mariadb-client php7.3 libapache2-mod-php7.3 php7.3-mysql php-common php7.3-cli php7.3-common php7.3-json php7.3-opcache php7.3-readline php7.3-mysql php7.3-zip php7.3-gd php7.3-mbstring php7.3-curl php7.3-xml php7.3-bcmath php-intl php-imagick -y && \
mkdir /var/www/nextcloud-data && \
wget https://download.nextcloud.com/server/releases/latest.tar.bz2 -O /var/www/nextcloud-latest.tar.bz2 && \
tar -xvjf /var/www/nextcloud-latest.tar.bz2 -C /var/www && \
sudo chown -R www-data:www-data /var/www/nextcloud && \
sudo sed -i 's/DocumentRoot \/var\/www\/html/DocumentRoot \/var\/www\/nextcloud/' /etc/apache2/sites-available/000-default.conf && \
sudo sed -i 's/\/var\/www\//\/var\/www\/nextcloud\//' /etc/apache2/apache2.conf && \
sudo sed -i '/<Directory \/var\/www\/nextcloud\/>/,/<\/Directory>/ s/AllowOverride None/AllowOverride All/' /etc/apache2/apache2.conf && \
sudo service apache2 restart && \
sudo sed -i '/\[mysqld]/a innodb_file_per_table=1' /etc/mysql/mariadb.conf.d/50-server.cnf
service mysql restart
mysql -uroot -e "SET GLOBAL innodb_file_format=Barracuda" && \
mysql -uroot -e "CREATE DATABASE nextcloud CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci" && \
mysql -uroot -e "GRANT ALL PRIVILEGES ON nextcloud.* TO nextcloud@localhost IDENTIFIED BY 'nextcloud'" && \
ip route get 8.8.8.8 | awk '{ print $NF; exit }'